qns: enable multiconnect test and explicitly create the log directory

- Add "multiconnect" target to test case
- Fix file not found error of transfer tests

Error message:
```
./run_endpoint.sh: line 58: /logs/log.txt: No such file or directory
```
diff --git a/extras/docker/qns/run_endpoint.sh b/extras/docker/qns/run_endpoint.sh
index 22c7d5d..9eb3d75 100644
--- a/extras/docker/qns/run_endpoint.sh
+++ b/extras/docker/qns/run_endpoint.sh
@@ -1,4 +1,5 @@
 #!/bin/bash
+set -e
 
 # Set up the routing needed for the simulation
 /setup.sh
@@ -15,13 +16,14 @@
 QUICHE_SERVER=server
 QUICHE_CLIENT_OPT="--no-verify"
 QUICHE_SERVER_OPT="--no-retry"
-LOG=/logs/log.txt
+LOG_DIR=/logs
+LOG=$LOG_DIR/log.txt
 
 check_testcase () {
     TESTNAME=$1
 
     case $1 in
-    handshake | resumption )
+    handshake | resumption | multiconnect )
         echo "supported"
         ;;
     transfer )
@@ -62,6 +64,9 @@
 # Update config based on test case
 check_testcase $TESTCASE
 
+# Create quiche log directory
+mkdir -p $LOG_DIR
+
 if [ "$ROLE" == "client" ]; then
     # Wait for the simulator to start up.
     /wait-for-it.sh sim:57832 -s -t 30